Index: tmp/org.txm.jodconverter.core/target/classes/document-formats.js
===================================================================
--- tmp/org.txm.jodconverter.core/target/classes/document-formats.js	(revision 947)
+++ tmp/org.txm.jodconverter.core/target/classes/document-formats.js	(revision 948)
@@ -1,188 +0,0 @@
-[
-  {
-    "name": "Portable Document Format",
-    "extension": "pdf",
-    "mediaType": "application/pdf",
-    "storePropertiesByFamily": {
-      "DRAWING": {"FilterName": "draw_pdf_Export"},
-      "SPREADSHEET": {"FilterName": "calc_pdf_Export"},
-      "PRESENTATION": {"FilterName": "impress_pdf_Export"},
-      "TEXT": {"FilterName": "writer_pdf_Export"}
-    }
-  },
-  {
-    "name": "Macromedia Flash",
-    "extension": "swf",
-    "mediaType": "application/x-shockwave-flash",
-    "storePropertiesByFamily": {
-      "DRAWING": {"FilterName": "draw_flash_Export"},
-      "PRESENTATION": {"FilterName": "impress_flash_Export"}
-    }
-  },
-  {
-    "name": "HTML",
-    "extension": "html",
-    "mediaType": "text/html",
-    "inputFamily": "TEXT",
-    "storePropertiesByFamily": {
-      "SPREADSHEET": {"FilterName": "HTML (StarCalc)"},
-      "PRESENTATION": {"FilterName": "impress_html_Export"},
-      "TEXT": {"FilterName": "HTML (StarWriter)"}
-    }
-  },
-  {
-    "name": "OpenDocument Text",
-    "extension": "odt",
-    "mediaType": "application/vnd.oasis.opendocument.text",
-    "inputFamily": "TEXT",
-    "storePropertiesByFamily": {"TEXT": {"FilterName": "writer8"}}
-  },
-  {
-    "name": "OpenOffice.org 1.0 Text Document",
-    "extension": "sxw",
-    "mediaType": "application/vnd.sun.xml.writer",
-    "inputFamily": "TEXT",
-    "storePropertiesByFamily": {"TEXT": {"FilterName": "StarOffice XML (Writer)"}}
-  },
-  {
-    "name": "Microsoft Word",
-    "extension": "doc",
-    "mediaType": "application/msword",
-    "inputFamily": "TEXT",
-    "storePropertiesByFamily": {"TEXT": {"FilterName": "MS Word 97"}}
-  },
-  {
-    "name": "Microsoft Word 2007 XML",
-    "extension": "docx",
-    "mediaType": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
-    "inputFamily": "TEXT"
-  },
-  {
-    "name": "Rich Text Format",
-    "extension": "rtf",
-    "mediaType": "text/rtf",
-    "inputFamily": "TEXT",
-    "storePropertiesByFamily": {"TEXT": {"FilterName": "Rich Text Format"}}
-  },
-  {
-    "name": "WordPerfect",
-    "extension": "wpd",
-    "mediaType": "application/wordperfect",
-    "inputFamily": "TEXT"
-  },
-  {
-    "name": "Plain Text",
-    "extension": "txt",
-    "mediaType": "text/plain",
-    "inputFamily": "TEXT",
-    "loadProperties": {
-      "FilterName": "Text (encoded)",
-      "FilterOptions": "utf8"
-    },
-    "storePropertiesByFamily": {"TEXT": {
-      "FilterName": "Text (encoded)",
-      "FilterOptions": "utf8"
-    }}
-  },
-  {
-    "name": "MediaWiki wikitext",
-    "extension": "wiki",
-    "mediaType": "text/x-wiki",
-    "storePropertiesByFamily": {"TEXT": {"FilterName": "MediaWiki"}}
-  },
-  {
-    "name": "OpenDocument Spreadsheet",
-    "extension": "ods",
-    "mediaType": "application/vnd.oasis.opendocument.spreadsheet",
-    "inputFamily": "SPREADSHEET",
-    "storePropertiesByFamily": {"SPREADSHEET": {"FilterName": "calc8"}}
-  },
-  {
-    "name": "OpenOffice.org 1.0 Spreadsheet",
-    "extension": "sxc",
-    "mediaType": "application/vnd.sun.xml.calc",
-    "inputFamily": "SPREADSHEET",
-    "storePropertiesByFamily": {"SPREADSHEET": {"FilterName": "StarOffice XML (Calc)"}}
-  },
-  {
-    "name": "Microsoft Excel",
-    "extension": "xls",
-    "mediaType": "application/vnd.ms-excel",
-    "inputFamily": "SPREADSHEET",
-    "storePropertiesByFamily": {"SPREADSHEET": {"FilterName": "MS Excel 97"}}
-  },
-  {
-    "name": "Microsoft Excel 2007 XML",
-    "extension": "xlsx",
-    "mediaType": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
-    "inputFamily": "SPREADSHEET"
-  },
-  {
-    "name": "Comma Separated Values",
-    "extension": "csv",
-    "mediaType": "text/csv",
-    "inputFamily": "SPREADSHEET",
-    "loadProperties": {
-      "FilterName": "Text - txt - csv (StarCalc)",
-      "FilterOptions": "44,34,0"
-    },
-    "storePropertiesByFamily": {"SPREADSHEET": {
-      "FilterName": "Text - txt - csv (StarCalc)",
-      "FilterOptions": "44,34,0"
-    }}
-  },
-  {
-    "name": "Tab Separated Values",
-    "extension": "tsv",
-    "mediaType": "text/tab-separated-values",
-    "inputFamily": "SPREADSHEET",
-    "loadProperties": {
-      "FilterName": "Text - txt - csv (StarCalc)",
-      "FilterOptions": "9,34,0"
-    },
-    "storePropertiesByFamily": {"SPREADSHEET": {
-      "FilterName": "Text - txt - csv (StarCalc)",
-      "FilterOptions": "9,34,0"
-    }}
-  },
-  {
-    "name": "OpenDocument Presentation",
-    "extension": "odp",
-    "mediaType": "application/vnd.oasis.opendocument.presentation",
-    "inputFamily": "PRESENTATION",
-    "storePropertiesByFamily": {"PRESENTATION": {"FilterName": "impress8"}}
-  },
-  {
-    "name": "OpenOffice.org 1.0 Presentation",
-    "extension": "sxi",
-    "mediaType": "application/vnd.sun.xml.impress",
-    "inputFamily": "PRESENTATION",
-    "storePropertiesByFamily": {"PRESENTATION": {"FilterName": "StarOffice XML (Impress)"}}
-  },
-  {
-    "name": "Microsoft PowerPoint",
-    "extension": "ppt",
-    "mediaType": "application/vnd.ms-powerpoint",
-    "inputFamily": "PRESENTATION",
-    "storePropertiesByFamily": {"PRESENTATION": {"FilterName": "MS PowerPoint 97"}}
-  },
-  {
-    "name": "Microsoft PowerPoint 2007 XML",
-    "extension": "pptx",
-    "mediaType": "application/vnd.openxmlformats-officedocument.presentationml.presentation",
-    "inputFamily": "PRESENTATION"
-  },
-  {
-    "name": "OpenDocument Drawing",
-    "extension": "odg",
-    "mediaType": "application/vnd.oasis.opendocument.graphics",
-    "inputFamily": "DRAWING",
-    "storePropertiesByFamily": {"DRAWING": {"FilterName": "draw8"}}
-  },
-  {
-    "name": "Scalable Vector Graphics",
-    "extension": "svg",
-    "mediaType": "image/svg+xml",
-    "storePropertiesByFamily": {"DRAWING": {"FilterName": "draw_svg_Export"}}
-  }
-]
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/URSAnnotationToolbar.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/URSAnnotationToolbar.java	(revision 947)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/URSAnnotationToolbar.java	(revision 948)
@@ -4,6 +4,7 @@
 
 import org.apache.commons.lang.StringUtils;
 import org.eclipse.swt.SWT;
+import org.eclipse.swt.browser.ProgressListener;
 import org.eclipse.swt.events.KeyListener;
 import org.eclipse.swt.events.MenuListener;
 import org.eclipse.swt.events.MouseListener;
@@ -80,6 +81,8 @@
 			editor.getEditionPanel(0).getBrowser().getMenu().addMenuListener(getMenuListener());
 		if (getEditorKeyListener() != null)
 			editor.getEditionPanel(0).getBrowser().addKeyListener(getEditorKeyListener());
+		if (getEditorKeyListener() != null)
+			editor.getEditionPanel(0).getBeforeHighlighListeners().add(getPageReloadListener());
 
 		if (analecCorpus.getStructure().isVide()) {
 			analecCorpus.ajouterType(Unite.class, "Entity");
@@ -92,6 +95,8 @@
 	}
 
 
+	protected abstract ProgressListener getPageReloadListener();
+
 	public Corpus getAnalecCorpus() {
 		return analecCorpus;
 	}
@@ -244,6 +249,8 @@
 				editor.getEditionPanel(0).getBrowser().getMenu().removeMenuListener(this.getMenuListener());
 			if (this.getEditorKeyListener() != null)
 				editor.getEditionPanel(0).getBrowser().removeKeyListener(this.getEditorKeyListener());
+			if (this.getPageReloadListener() != null)
+				editor.getEditionPanel(0).getBeforeHighlighListeners().remove(this.getPageReloadListener());
 		}
 		if (annotationArea != null && annotationArea.isDisposed()) annotationArea.dispose();
 
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java	(revision 947)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java	(revision 948)
@@ -8,6 +8,8 @@
 import org.apache.commons.lang.StringUtils;
 import org.eclipse.jface.util.Util;
 import org.eclipse.swt.SWT;
+import org.eclipse.swt.browser.ProgressEvent;
+import org.eclipse.swt.browser.ProgressListener;
 import org.eclipse.swt.events.DragDetectListener;
 import org.eclipse.swt.events.KeyEvent;
 import org.eclipse.swt.events.KeyListener;
@@ -36,13 +38,11 @@
 import org.txm.core.results.TXMResult;
 import org.txm.edition.rcp.editors.EditionPanel;
 import org.txm.edition.rcp.editors.RGBA;
-import org.txm.edition.rcp.editors.SynopticEditionEditor;
 import org.txm.objects.Edition;
 import org.txm.objects.Page;
 import org.txm.objects.Text;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.editors.TXMEditor;
-import org.txm.rcp.swt.GLComposite;
 import org.txm.rcp.swt.dialog.ConfirmDialog;
 import org.txm.searchengine.cqp.AbstractCqiClient;
 import org.txm.searchengine.cqp.CQPSearchEngine;
@@ -55,11 +55,9 @@
 
 import visuAnalec.Message;
 import visuAnalec.Message.TypeMessage;
-import visuAnalec.donnees.Corpus;
 import visuAnalec.donnees.Structure;
 import visuAnalec.elements.Element;
 import visuAnalec.elements.Unite;
-import visuAnalec.vue.Vue;
 
 public class UnitToolbar extends URSAnnotationToolbar {
 
@@ -607,24 +605,49 @@
 		return StringUtils.join(firstWords, " "); //$NON-NLS-1$
 	}
 
+	/**
+	 * Highlight units of the current page
+	 */
 	protected void highlightType() {
 		if (unites == null) return;
 
+		try {
+		Page page = editor.getEditionPanel(0).getCurrentPage();
+		Edition e = page.getEdition();
+		Page next = e.getNextPage(page);
+		int first_ids[] = CQPSearchEngine.getCqiClient().str2Id(maincorpus.getProperty("id").getQualifiedName(), new String[] {page.getWordId()}); //$NON-NLS-1$
+		
+		int last_ids[] = null;
+		if (next != null && next != page) {
+			last_ids = CQPSearchEngine.getCqiClient().str2Id(maincorpus.getProperty("id").getQualifiedName(), new String[] {next.getWordId()}); //$NON-NLS-1$
+		}
+		
+		int first_pos = CQPSearchEngine.getCqiClient().id2Cpos(maincorpus.getProperty("id").getQualifiedName(), first_ids[0])[0];
+		int last_pos = Integer.MAX_VALUE;
+		if (last_ids != null) {
+			last_pos = CQPSearchEngine.getCqiClient().id2Cpos(maincorpus.getProperty("id").getQualifiedName(), last_ids[0])[0];
+		}
+		
 		int n2 = 0;
 		for (int i = 0 ; i < unites.length ; i++) {
 			for (int p = unites[i].getDeb() ; p <= unites[i].getFin() ; p++) {
-				n2++;
+				if (p >= first_pos && p <= last_pos) {
+					n2++;
+				}
 			}
 		}
+				
 		int allpositions[] = new int[n2];
 		n2 = 0;
 		for (int i = 0 ; i < unites.length ; i++) {
 			for (int p = unites[i].getDeb() ; p <= unites[i].getFin() ; p++) {
-				allpositions[n2++] = p;
+				if (p >= first_pos && p <= last_pos) {
+					allpositions[n2++] = p;
+				}
 			}
 		}
 
-		try {
+		
 			if (previousSelectedTypeUnitIDS != null) {
 				editor.removeHighlightWordsById(highlighted_unit_color, previousSelectedTypeUnitIDS);
 				editor.removeFontWeightWordsById(previousSelectedTypeUnitIDS);
@@ -728,11 +751,8 @@
 
 			reloadIdentifiants();
 			selectUniteInIdentifants(unite);
-			highlightUnite(unite, true, -1);
-			int i = typeCombo.getSelectionIndex();
-			if (i > 0) {
-				highlightType();
-			}
+			//highlightUnite(unite, true, -1);
+
 			deleteButton.setEnabled(true);
 			editLeftButton.setEnabled(true);
 			editButton.setEnabled(true);
@@ -1127,4 +1147,26 @@
 		// TODO Auto-generated method stub
 
 	}
+
+	ProgressListener pageProgressListener = null;
+	@Override
+	protected ProgressListener getPageReloadListener() {
+		if (pageProgressListener != null) {
+			return pageProgressListener;
+		}
+		
+		pageProgressListener = new ProgressListener() {
+			
+			@Override
+			public void completed(ProgressEvent event) {
+				if (typeCombo.getSelectionIndex() >= 0) {
+					highlightType();
+				}
+			}
+			
+			@Override
+			public void changed(ProgressEvent event) { }
+		};
+		return pageProgressListener;
+	}
 }
\ No newline at end of file
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java	(revision 947)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java	(revision 948)
@@ -7,6 +7,8 @@
 
 import org.eclipse.jface.util.Util;
 import org.eclipse.swt.SWT;
+import org.eclipse.swt.browser.ProgressEvent;
+import org.eclipse.swt.browser.ProgressListener;
 import org.eclipse.swt.events.KeyEvent;
 import org.eclipse.swt.events.KeyListener;
 import org.eclipse.swt.events.MenuEvent;
@@ -976,4 +978,26 @@
 		// TODO Auto-generated method stub
 		
 	}
+	
+	ProgressListener pageProgressListener = null;
+	@Override
+	protected ProgressListener getPageReloadListener() {
+		if (pageProgressListener != null) {
+			return pageProgressListener;
+		}
+		
+		pageProgressListener = new ProgressListener() {
+			
+			@Override
+			public void completed(ProgressEvent event) {
+				if (typeCombo.getSelectionIndex() >= 0) {
+					highlightType();
+				}
+			}
+			
+			@Override
+			public void changed(ProgressEvent event) { }
+		};
+		return pageProgressListener;
+	}
 }
\ No newline at end of file
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 947)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 948)
@@ -233,7 +233,14 @@
 					+"\n}"
 					+"\n} catch(e) {Element.prototype.scrollIntoViewIfNeeded = Element.prototype.scrollIntoView}";
 	protected boolean fastWordHighLight = TXMPreferences.getBoolean(SynopticEditionPreferences.FAST_HIGHLIGHT, SynopticEditionPreferences.PREFERENCES_NODE);
-
+	private ArrayList<ProgressListener> beforeHighlighListeners;
+	public ArrayList<ProgressListener> getBeforeHighlighListeners() {
+		return beforeHighlighListeners;
+	}
+	private ArrayList<ProgressListener> afterHighlighListeners;
+	public ArrayList<ProgressListener> getAfterHighlighListeners() {
+		return beforeHighlighListeners;
+	}
 	public Object evaluate(String code) {
 		if (Log.getLevel().intValue() <= Level.FINEST.intValue()) System.out.println(code);
 		return getBrowser().evaluate(code);
@@ -262,6 +269,9 @@
 			Log.printStackTrace(e);
 		}
 
+		beforeHighlighListeners = new ArrayList<ProgressListener>();
+		afterHighlighListeners = new ArrayList<ProgressListener>();
+		
 		progresslistener = new ProgressListener() {
 
 			@Override
@@ -269,9 +279,13 @@
 
 			@Override
 			public void completed(ProgressEvent event) {
+				
 				//				System.out.println("EditionPanel "+currentEdition.getName()+" reload "+getCurrentPage().getName());
 				Object rez = evaluate("return typeof sheet");
 				if ("undefined".equals(rez)) execute(functions); // build the sheet if not present in the HTML DOM
+				
+				// do something before the highlight is done
+				for (ProgressListener pl : beforeHighlighListeners) { pl.completed(event);}
 
 				//System.out.println("highlight: "+highlightedColorPerWordIDS);
 				StringBuilder buffer = new StringBuilder();
@@ -441,6 +455,9 @@
 				//System.out.println(buffer);
 				if (buffer.length() > 0) execute(buffer.toString());
 				//System.out.println("n="+n+" time="+(System.currentTimeMillis()-start));
+				
+				// do something after the highlight is done
+				for (ProgressListener pl : afterHighlighListeners) { pl.completed(event);}
 			}
 		};
 		getBrowser().addProgressListener(progresslistener);
Index: tmp/org.txm.rcp/plugin.xml
===================================================================
--- tmp/org.txm.rcp/plugin.xml	(revision 947)
+++ tmp/org.txm.rcp/plugin.xml	(revision 948)
@@ -1387,7 +1387,7 @@
                   visible="false">
             </separator>
             <command
-                  commandId="org.txm.rcp.handlers.results.DeleteObject?after=org.txm.information.rcp.handlers.ComputeInformation"
+                  commandId="org.txm.rcp.handlers.results.DeleteObject"
                   icon="icons/functions/Delete.png"
                   style="push"
                   tooltip="%command.tooltip.33">
@@ -1395,27 +1395,6 @@
                      checkEnabled="false">
                   <or>
                      <reference
-                           definitionId="OneBaseSelected">
-                     </reference>
-                     <reference
-                           definitionId="OneConcordanceSelected">
-                     </reference>
-                     <reference
-                           definitionId="OneCorpusSelected">
-                     </reference>
-                     <reference
-                           definitionId="OneLexicalTableSelected">
-                     </reference>
-                     <reference
-                           definitionId="OneLexiconSelected">
-                     </reference>
-                     <reference
-                           definitionId="OnePartitionSelected">
-                     </reference>
-                     <reference
-                           definitionId="OneTxmObjectSelected">
-                     </reference>
-                     <reference
                            definitionId="OneTXMResultSelected">
                      </reference>
                   </or>
